compact1, compact2, compact3
java.io

## Class SyncFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.SyncFailedException

- All Implemented Interfaces:
    Serializable

      public class SyncFailedException
      extends IOException

  Signals that a sync operation has failed.
  Since:
    JDK1.1
  See Also:
    `FileDescriptor.sync()`, `IOException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncFailedException(String desc)` Constructs an SyncFailedException with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncFailedException

          public SyncFailedException(String desc)

      Constructs an SyncFailedException with a detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `desc` - a String describing the exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.